Subject: RE: bug#9877: 24.0.90; `report-emacs-bug' is even more broken now

From: "Drew Adams" <[email-masked]>
Date: Wed, 26 Oct 2011 13:04:00 -0700

> > And NO, Emacs will NOT record your selection and use it thereafter.
>                                                    ^^^^^^^^^^^^^^^^^
> 
> Yes, it will: if you send another message from the same Emacs session,
> it will not ask you again.

I stand corrected, if "thereafter" is necessarily limited in meaning to the same
Emacs session.  Otherwise, no, the text is misleading and inaccurate.

As is the subsequent text:
 "To change it later, customize the option `send-mail-function'."

If you are talking about the `emacs -Q' session, then that text too is
inaccurate - it does not apply.  Or is the user supposed to guess that you are
suddenly switching from same-session "thereafter" to future session "later"?

You are apparently seeking to defend this inaccuracy at all costs.
Why not just recognize it and fix it, instead?

Just say what really happens: If `emacs -Q' then you won't be bugged again for
the rest of the session.  Otherwise, you won't ever be bugged again.